# Mint a Token

To use this method, you need an [idexo API key](https://idexo.gitbook.io/docs/get-api-key) that has been upgraded to a customer API key. To upgrade, please [contact us](https://t.me/idexo_io).&#x20;

You will also need the address of a deployed ERC20 token contract to use. You can [create one here](https://idexo.gitbook.io/docs/how-to/deploy-an-erc20-token-with-capped-supply-to-ethereum-mainnet).&#x20;

Assuming you have [installed the SDK](https://idexo.gitbook.io/docs/), you can use the following code in your file (instructions on modifying it follows - for more information on how to use it see our [Getting Started](https://idexo.gitbook.io/docs/) tutorial):

```javascript
const ido = require('idexo-sdk')
ido.network.mintToken(apiKey, contractAddress, mintToAddress, amount)
.then((res) => console.log(res.data))
```

To use the above code, you need to set values for:

* contractAddress: the address of the BEP20 token contract
* mintToAddress: the address of the wallet you want to the tokens to
* amount: the amount of tokens to mint
* apiKey: your [idexo API key](https://idexo.gitbook.io/docs/get-api-key)

The method in summary is:&#x20;

ido.Ethereum.mintERC20(contractAddress, addressToMintTo, image, apiKey)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.idexo.com/how-to/mint-erc20-tokens-on-ethereum-mainnet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
